﻿// <auto-generated />
using System;
using EntityAndXML.Model;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace EntityAndXML.Migrations
{
    [DbContext(typeof(SupportRequestDbContext))]
    [Migration("20191125114547_v1")]
    partial class v1
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.0-rtm-35687")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("EntityAndXML.Model.ConfigurationItem", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ADR");

                    b.Property<string>("BLOCKED");

                    b.Property<string>("CAT");

                    b.Property<int>("ID_CI");

                    b.Property<string>("MODEL");

                    b.Property<string>("NAME");

                    b.Property<int>("ORG_OID");

                    b.Property<int?>("OrganizationId");

                    b.Property<string>("SC");

                    b.Property<string>("SERNUM");

                    b.Property<string>("TID");

                    b.Property<string>("TOWN");

                    b.HasKey("ID")
                        .HasName("PK_ConfirationItem");

                    b.HasIndex("OrganizationId")
                        .HasName("IX_ConfirationItem_OrganizationId");

                    b.ToTable("ConfigurationItem");
                });

            modelBuilder.Entity("EntityAndXML.Model.Organization", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ID_ORG");

                    b.Property<string>("ORG_NAME");

                    b.Property<int>("ORG_OID");

                    b.Property<string>("ORG_SEARCHCODE");

                    b.Property<string>("RCT_NAME");

                    b.HasKey("ID")
                        .HasName("PK_Organization");

                    b.ToTable("Organization");
                });

            modelBuilder.Entity("EntityAndXML.Model.RequestSupport", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("ConfigurationItemId");

                    b.Property<string>("DATE_REG");

                    b.Property<string>("DATE_REG_CLIENT");

                    b.Property<string>("DESIRED_TIME");

                    b.Property<string>("EQUIPMENT");

                    b.Property<string>("ID_HD");

                    b.Property<string>("INFO");

                    b.Property<string>("NEW_ROOM");

                    b.Property<string>("SC");

                    b.Property<int>("SRV_ID");

                    b.Property<int?>("SrvId");

                    b.HasKey("ID")
                        .HasName("PK_RequestSupport");

                    b.HasIndex("ConfigurationItemId")
                        .HasName("FK_RequestSupport_ConfigurationItem_ConfigurationItemId");

                    b.HasIndex("SrvId")
                        .HasName("FK_RequestSupport_SRV_SrvId");

                    b.ToTable("RequestSupport");
                });

            modelBuilder.Entity("EntityAndXML.Model.SRV", b =>
                {
                    b.Property<int>("ID")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ID_SRV");

                    b.Property<int>("ORG_OID");

                    b.Property<int?>("OrganizationId");

                    b.Property<string>("PATH");

                    b.Property<int>("SRV_ID");

                    b.Property<string>("SRV_NAME");

                    b.HasKey("ID")
                        .HasName("PK_SRV");

                    b.HasIndex("OrganizationId")
                        .HasName("IX_SRV_OrganizationId");

                    b.ToTable("SRV");
                });

            modelBuilder.Entity("EntityAndXML.Model.ConfigurationItem", b =>
                {
                    b.HasOne("EntityAndXML.Model.Organization", "CIOrganizationIdNavigation")
                        .WithMany("OrganizationCiIdNavigation")
                        .HasForeignKey("OrganizationId");
                });

            modelBuilder.Entity("EntityAndXML.Model.RequestSupport", b =>
                {
                    b.HasOne("EntityAndXML.Model.ConfigurationItem", "RequestConfigurationItemIdNavigation")
                        .WithMany("CiRequestSupportIdNavigation")
                        .HasForeignKey("ConfigurationItemId");

                    b.HasOne("EntityAndXML.Model.SRV", "RequestSupportSrvIdNavigation")
                        .WithMany("SrvRequestSupportNavigation")
                        .HasForeignKey("SrvId");
                });

            modelBuilder.Entity("EntityAndXML.Model.SRV", b =>
                {
                    b.HasOne("EntityAndXML.Model.Organization", "SRVOrganizationIdNavigation")
                        .WithMany("OrganizationSrvNavigation")
                        .HasForeignKey("OrganizationId");
                });
#pragma warning restore 612, 618
        }
    }
}
